# acmpv

**Acfun + mpv + danmaku**

使用 mpv 播放带弹幕的 Acfun 视频

## 必要条件

- [Python](https://www.python.org/) 3.5
- [mpv Media Player](http://mpv.io/)

## 使用方法

```
$ ./acmpv.py http://www.acfun.tv/v/ac3171529
```

![Screenshot](screenshot.png)

### 指定播放视频格式

播放 `mp4` 格式视频：

```
$ ./acmpv.py --format=mp4 http://www.acfun.tv/v/ac3171529
```

视频格式可通过查看视频信息获得。

### 查看视频信息

只查看视频信息，不播放视频：

```
$ ./acmpv.py -i http://www.acfun.tv/v/ac3171529
```

## 鸣谢

 * [You-Get](https://github.com/soimort/you-get)
 * [BiliDan](https://github.com/m13253/BiliDan)

## 许可

acmpv 采用 [WTFPL 2](https://en.wikipedia.org/wiki/WTFPL) 授权

## 免责声明

注意：使用者自负使用本软件产生的各种责任。

> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


